
package org.yournamehere.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.ui.ClickListener;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.CheckBox;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.TextBox;
import com.google.gwt.user.client.ui.VerticalPanel;
import com.google.gwt.user.client.ui.Widget;

public class Compositewidgetex implements EntryPoint{
private static class OptionalTextBox extends Composite implements ClickListener {

    
    private TextBox tb = new TextBox();
    private CheckBox cb = new CheckBox();

    public OptionalTextBox(String caption) {

      VerticalPanel panel = new VerticalPanel();
      panel.add(cb);
      panel.add(tb);

      cb.setText(caption);
      cb.setChecked(true);
      cb.addClickListener(this);
      initWidget(panel);
          }

    public void onClick(Widget sender) {
      if (sender == cb) {
        tb.setEnabled(cb.isChecked());
      }
    }
    public void setCaption(String caption) {
      cb.setText(caption);
    }
    public String getCaption() {
      return cb.getText();
    }
  }

  public void onModuleLoad() {
     final Label label = new Label("Example to show Composite widgets");
    final Label label1 = new Label("                                   ");
    OptionalTextBox optionalTextBox = new OptionalTextBox("Check this to enable");
    RootPanel.get().add(label);
        RootPanel.get().add(label1);
    RootPanel.get().add(optionalTextBox);
    
  }
}